commit:     bfabd57a007f46c09c5dd955cb8d4ea971e54117
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 19 22:33:06 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Nov 19 22:34:25 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfabd57a

dev-java/ws-commons-util: EAPI 5 bump. Switch from dirty hacks to 
java-pkg-simple eclass. Fixes bug 566234.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 .../ws-commons-util-1.0.1-r1.ebuild                | 26 ++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-java/ws-commons-util/ws-commons-util-1.0.1-r1.ebuild 
b/dev-java/ws-commons-util/ws-commons-util-1.0.1-r1.ebuild
new file mode 100644
index 0000000..54c5126
--- /dev/null
+++ b/dev-java/ws-commons-util/ws-commons-util-1.0.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+JAVA_PKG_IUSE="source doc"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Utility classes that allow high performance XML processing based 
on SAX"
+HOMEPAGE="http://ws.apache.org/commons/util/";
+SRC_URI="mirror://apache/ws/commons/util/sources/${P}-src.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+JAVA_SRC_DIR="src"
+
+java_prepare() {
+       mv "${S}"/"${P}"/src . || die
+       rm -rf "${S}"/"${P}" src/test || die
+}

Reply via email to